Package com.sas.services.information.publicobject

# Class PublicTypeUtility

java.lang.Object
com.sas.services.information.publicobject.PublicTypeUtility

public class PublicTypeUtility extends Object
A class for Public Type utility methods.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static String`
  `getLocalizedDescription(String type)`
  Get the localized type description for the Public Type in the default locale.
  `static String`
  `getLocalizedDescription(String type, Locale locale)`
  Get the localized type description for the Public Type in the default locale.
  `static String`
  `getLocalizedName(String type)`
  Get the localized type string for the Public Type in the specified locale.
  `static String`
  `getLocalizedName(String type, Locale locale)`
  Get the localized type string for the Public Type in the specified locale.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### getLocalizedName

    public static String getLocalizedName(String type)
    Get the localized type string for the Public Type in the specified locale.
    Parameters:
      `type` - A type string from SmartTypes.
    Returns:
      The localized, display-friendly string for the type or "" if a resource with the correct name wasn't found.

  - ### getLocalizedName

    public static String getLocalizedName(String type, Locale locale)
    Get the localized type string for the Public Type in the specified locale.
    Parameters:
      `type` - A type string from SmartTypes.
      `locale` -
    Returns:
      The localized, display-friendly string for the type or "" if a resource with the correct name wasn't found.

  - ### getLocalizedDescription

    public static String getLocalizedDescription(String type)
    Get the localized type description for the Public Type in the default locale.
    Parameters:
      `type` - A type string from SmartTypes.
    Returns:
      The localized, string for the type description or "" if a resource with the correct name wasn't found.

  - ### getLocalizedDescription

    public static String getLocalizedDescription(String type, Locale locale)
    Get the localized type description for the Public Type in the default locale.
    Parameters:
      `type` - A type string from SmartTypes.
      `locale` -
    Returns:
      The localized, string for the type description or "" if a resource with the correct name wasn't found.